## python-e3nn 0.6.0

=== docs/requirements.txt ===
autodocsumm
myst-parser
sphinx
sphinx-rtd-theme
sympy

ipykernel
plotly
jupyter-sphinx
ase

--find-links https://download.pytorch.org/whl/cpu
torch==2.4.0

--find-links https://data.pyg.org/whl/torch-2.4.0+cpu.html
torch-scatter
torch-sparse
torch-cluster
torch-spline-conv
torch-geometric
.

=== debian/changelog ===
python-e3nn (0.6.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1110641)
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * debputy lint --auto-fix (routine-update)
  * Introduced test-dependency on python3-time-machine.

 -- Steffen Moeller <moeller@debian.org>  Sat, 14 Feb 2026 16:35:54 +0000

python-e3nn (0.5.8-1) unstable; urgency=medium

  * debputy lint --auto-fix (routine-update)

 -- Steffen Moeller <moeller@debian.org>  Wed, 05 Nov 2025 17:00:00 +0000

=== debian/control ===
Source: python-e3nn
#Testsuite: autopkgtest-pkg-python
Standards-Version: 4.7.3
Maintainer: Debian Deep Learning Team <debian-ai@lists.debian.org>
Uploaders:
 Steffen Moeller <moeller@debian.org>,
Section: science
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-setuptools,
 python3-all,
 python3-opt-einsum-fx <!nocheck>,
 pybuild-plugin-pyproject,
 python3-pytest <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-scipy <!nocheck>,
 python3-time-machine <!nocheck>,
 python3-torch <!nocheck>,
 libtorch-dev <!nocheck>,
Vcs-Browser: https://salsa.debian.org/deeplearning-team/python-e3nn
Vcs-Git: https://salsa.debian.org/deeplearning-team/python-e3nn.git
Homepage: https://github.com/e3nn/e3nn

Package: python3-e3nn
Architecture: all
Section: python
Depends:
 ${python3:Depends},
 ${misc:Depends},
 python3-sympy,
 python3-scipy,
 python3-torch,
 python3-opt-einsum-fx,
Suggests:
 libtorch-dev,
Description: provides 3D Euclidean neural networks
 This library helps with the development of E(3) equivariant neural
 networks.  It contains fundamental mathematical operations such as
 tensor products and spherical harmonics.
 .
 The technology supports the recognition of objects in 3D, at varying size
 and rotation.

=== debian/rules ===
#!/usr/bin/make -f

# See debhelper(7) (uncomment to enable).
# Output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export CUDA=cpu
export PYBUILD_NAME=python-e3nn

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	# Well, yes, should fix the install instructions
	rm -rf $(CURDIR)/debian/*/usr/lib/python3*/dist-packages/debian
	rm -rf $(CURDIR)/debian/*/usr/lib/python3*/dist-packages/docs
	rm -rf $(CURDIR)/debian/*/usr/lib/python3*/dist-packages/examples
	rm -rf $(CURDIR)/debian/*/usr/lib/python3*/dist-packages/build
	rm -rf $(CURDIR)/debian/*/usr/lib/python3*/dist-packages/e3nn[.-]*.{distinfo,dist-info}

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .pybuild

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/e3nn/e3nn/tags (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@
